Class | Bio::KEGG::KGML::Reaction
In: | lib/bio/db/kegg/kgml.rb
Parent: | Object

Bio::KEGG::KGML::Reaction contains a reaction element in the KGML.

### External Aliases

name | -> | entry_id
name= | -> | entry_id=
type | -> | direction
type= | -> | direction=

### Attributes

alt | [RW] | alt element (Hash)
id | [RW] | ID of this reaction (Integer or nil)
name | [RW] | KEGG-stype ID string of this reaction (String or nil) (‘name’ attribute in ‘reaction’ element)
products | [RW] | Products. Each product name is the KEGG-style ID string. (Array containing String objects, or nil)
substrates | [RW] | Substrates. Each substrate name is the KEGG-style ID string. (Array containing String objects, or nil)
type | [RW] | type of this reaction (String or nil). Normally "reversible" or "irreversible". (‘type’ attribute in ‘reaction’ element)

[Validate]